#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	Test
%define		pnam	CheckDeps
%include	/usr/lib/rpm/macros.perl
Summary:	Test::CheckDeps - Check for presence of dependencies
Name:		perl-Test-CheckDeps
Version:	0.010
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c1893b187e9b2efee7d40b1799218576
URL:		http://search.cpan.org/dist/Test-CheckDeps/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-CPAN-Meta-Check >= 0.007
BuildConflicts:	perl-Version-Requirements
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module adds a test that assures all dependencies have been
installed properly. If requested, it can bail out all testing on
error.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes INSTALL README
%{perl_vendorlib}/Test/*.pm
%{_mandir}/man3/*
%changelog
* Thu Oct 10 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Test-CheckDeps.git;a=log;h=master

* Thu Oct 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> c09b4cc
- up to 0.010

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> 5153952
- BC perl-Version-Requirements

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> f4e7ceb
- new

